Issue238

classification
Title menubar-x.c, line 579, ABORT()
Type defect Module core code 21.5
Severity crash Platform N/A
Keywords Nosy List james
explanation
process
These controls should only be changed by committers and tracker administrators.
Status closed   Reason fixed
Superseder dvc + xemacs
View: 107
  Submitted 2008-01-16.00:49:01
Priority normal   Assigned To

Created on 2008-01-19.06:43:19 by ndbecker2, last changed 2013-02-01.16:40:59 by james.

Messages
msg2472 [hidden] ([hidden]) Date: 2013-02-01.16:40:58
The menubar crash has been fixed in mercurial.
msg1860 [hidden] ([hidden]) Date: 2009-09-25.15:25:51
  Message-ID: <1253892351.47.0.125006758953.issue238@xemacs.org>
Reproduction recipe is bug 12 in tests/reproduce-crashes.el.
msg1859 [hidden] ([hidden]) Date: 2009-09-25.04:41:40
  Message-ID: <1253853700.29.0.85310020077.issue238@xemacs.org>
Jerry James says the bug on Fedora is

https://bugzilla.redhat.com/show_bug.cgi?id=480845
msg1857 [hidden] ([hidden]) Date: 2009-09-25.02:39:10
Reopened due to crash described in msg417.

Partially superseded: see issue107 for "dvc + xemacs".
msg417 [hidden] ([hidden]) Date: 2008-01-19.06:43:19
  Message-ID: <18320.37055.341025.596662@montanaro.dyndns.org>
>>>>> "skip" == skip  <skip@pobox.com> writes:

    Neal> I'd like to see dvc working on current xemacs - right now it's
    Neal> not.

    skip> What errors are you getting?

I downloaded it, then built it like so:

    autoconf
    mkdir ++build
    cd ++build
    ../configure --with-emacs=xemacs --prefix=$HOME/local
    make
    make install

I then added

    ~/local/share/xemacs/site-packages/lisp/dvc

to load-path and added

    (load "dvc-core")

to ~/.xemacs/init.el.

I then restarted xemacs.  Any attempt to use the menubar resulted in a crash
with this error:

    Fatal error: assertion failed, file menubar-x.c, line 579, ABORT()

I've yet to investigate further.  (Time to get ready for work...)

Skip

_______________________________________________
XEmacs-Beta mailing list
XEmacs-Beta@xemacs.org
http://calypso.tux.org/cgi-bin/mailman/listinfo/xemacs-beta
msg416 [hidden] ([hidden]) Date: 2008-01-19.06:43:19
  Message-ID: <fmjk9t$dpd$1@ger.gmane.org>
dvc (distributed version control for emacs) looks interesting.  Attempting
to build with xemacs "21.5  (beta28)" gives loads of errors.  

Any thoughts?

http://download.gna.org/dvc/

_______________________________________________
XEmacs-Beta mailing list
XEmacs-Beta@xemacs.org
http://calypso.tux.org/cgi-bin/mailman/listinfo/xemacs-beta
History
Date User Action Args
2013-02-01 16:40:59jamessetstatus: assigned -> closed
reason: fixed
messages: + msg2472
2009-09-25 15:25:51stephensetmessages: + msg1860
2009-09-25 04:41:40stephensetstatus: verified -> assigned
assignedto: james
messages: + msg1859
nosy: + james
2009-09-25 02:43:01stephensetseverity: some work obstructed -> crash
2009-09-25 02:42:24stephensetmessages: - msg418
2009-09-25 02:39:41stephensetmodule: + core code 21.5, - vc
title: dvc + xemacs -> menubar-x.c, line 579, ABORT()
2009-09-25 02:39:10stephensetstatus: closed -> verified
reason: superseded -> (no value)
messages: + msg1857
2008-01-22 00:27:33stephensetstatus: chatting -> closed
priority: normal
reason: superseded
severity: some work obstructed
platform: + N/A
type: defect
superseder: + dvc + xemacs
module: + vc
2008-01-19 06:43:20ndbecker2setmessages: + msg418
title: dvc? -> dvc + xemacs
2008-01-19 06:43:20skip.montanarosetstatus: new -> chatting
messages: + msg417
2008-01-19 06:43:19ndbecker2create